
#ifndef AY38914_REGISTERS_H
#define AY38914_REGISTERS_H

#include "RAM.h"

class AY38914;

class AY38914_Registers : RAM
{

    friend class AY38914;

    private:
        AY38914_Registers();
        void init(AY38914* ay38914);
        void poke(INT32 location, INT32 value);
        INT32 peek(INT32 location);

        AY38914* ay38914;

};

#endif

