
#ifndef CARTRIDGETYPEFACTORY_H
#define CARTRIDGETYPEFACTORY_H

#include <map>
#include <windows.h>
#include "CartridgeType.h"

typedef std::map<UINT32, CartridgeType*> CARTRIDGETYPEMAP;

class CartridgeTypeFactory
{

    public:
        CartridgeType* getCartridgeType(UINT32 crc);
        static CartridgeTypeFactory FACTORY;

    private:
        CartridgeTypeFactory();
        CARTRIDGETYPEMAP cartridgeTypeMap;

};

#endif

