
#ifndef PLUGIN_H
#define PLUGIN_H

#include "VideoOutputDevice.h"
#include "AudioOutputDevice.h"
#include "InputDevice.h"
#include "ClockDevice.h"

class PlugIn
{

    public:
        INT32 init(Intellivision* inty);
        void release(Intellivision* inty);
        virtual ClockDevice* getClockDevice() = 0;
        virtual VideoOutputDevice* getVideoOutputDevice() = 0;
        virtual AudioOutputDevice* getAudioOutputDevice() = 0;
        virtual InputDevice* getInputDevice() = 0;
/*
        virtual void getPlugInName(CHAR* desc) = 0;
        virtual void getPlugInDescription(CHAR* desc) = 0;
*/

};

#endif
