
#include "CartridgeTableModel.h"

CartridgeTableModel::CartridgeTableModel()
{
    rowCount = CartridgeTypeFactory::FACTORY.getCartridgeTypeCount();
    cartTypes = CartridgeTypeFactory::FACTORY.getAllCartridges();
}
CartridgeTableModel::getColumnCount()
{
    return 1;
}

CartridgeTableModel::getRowCount()
{
    return rowCount;
}

const CHAR* CartridgeTableModel::getValueAt(INT32 row, INT32 col)
{
    return cartTypes[row].getName();
}
