package com.bliss.emu;

public abstract class BooleanOption implements Option
{

    public Object getValue() {
        return (isEnabled() ? Boolean.TRUE : Boolean.FALSE);
    }

    public void setValue(Object value) {
        setEnabled(Boolean.TRUE.equals(value));
    }

    public abstract void setEnabled(boolean enabled);

    public abstract boolean isEnabled();

}
