
#ifndef MEMORY_H
#define MEMORY_H

#include <windows.h>

class Memory
{

    public:
        virtual void reset() = 0;
        virtual INT32 getLocation() = 0;
        virtual INT32 getSize() = 0;
        virtual INT32 peek(INT32 location) = 0;
        virtual void poke(INT32 location, INT32 value) = 0;
/*
        virtual void save(SaveOutputStream sos) throws IOException = 0;
        virtual void load(LoadInputStream lis) throws IOException = 0;
*/

};

#define UNMAPPED_PEEK 0xFFFF

#endif
