
#ifndef INPUTDEVICE_H
#define INPUTDEVICE_H

#include "Device.h"
#include "InputSignal.h"

class InputDevice : public Device
{

    public:
        virtual void poll() = 0;
        virtual float getSignalValue(InputSignal* signal) = 0;
        virtual void getDefaultConfiguration(INT32 deviceID, INT32 controlID,
                InputSignal** conf) = 0;
/*
        virtual InputSignal getInputSignal(String configString) = 0;
        virtual void initConfigMode() = 0;
        virtual InputSignal pollForInputSignal() = 0;
        virtual void releaseConfigMode() = 0;
*/

        static const float SIGNAL_OFF;
        static const float SIGNAL_ON;
        static const INT32 ID_HAND_CONTROLLER_ONE;
        static const INT32 ID_HAND_CONTROLLER_TWO;
        static const INT32 ID_ECS_KEYBOARD;
        static const INT32 ID_DIRECTOR;

};

#endif

